Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.render
Class WarpImageGenerator

    java.lang.Object
      |
      +--com.vistech.jai.render.WarpImageGenerator

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

public class WarpImageGenerator
extends java.lang.Object
implements java.awt.event.MouseListener

Generates a warped image using the "Warp" operator and related APIs

Version:
  1.0 18 Apr 2000
Author:
  Lawrence Rodrigues

Field Summary
`protected int` | `currentNumPoints`
`protected float[]` | `destCoord`
`protected javax.media.jai.PlanarImage` | `destImage`
`protected int` | `imageHeight`
`protected int` | `imageWidth`
`protected int` | `numPointsNeeded`
`protected int` | `polyDegree`
`protected java.awt.image.RenderedImage` | `sourceImage`
`protected float[]` | `srcCoord`
`protected javax.media.jai.WarpPolynomial` | `warp`

Constructor Summary
`WarpImageGenerator()`
`WarpImageGenerator(java.awt.image.RenderedImage sourceImage)`

Method Summary
`void` | `addPoints(int x, int y)`
`int` | `computeNumPoints(int degree)`
`static javax.media.jai.RenderedOp` | `createDestImage(java.awt.image.RenderedImage img, javax.media.jai.Warp warp)`
`protected javax.media.jai.PlanarImage` | `generateWarpImage()`
`javax.media.jai.PlanarImage` | `getDestImage()`
`int` | `getPolyDegree()`
`java.awt.image.RenderedImage` | `getSourceImage()`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `setPolyDegree(int degree)`
`void` | `setSourceImage(java.awt.image.RenderedImage sourceImage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### srcCoord

    protected float[] srcCoord

### destCoord

    protected float[] destCoord

### polyDegree

    protected int polyDegree

### numPointsNeeded

    protected int numPointsNeeded

### currentNumPoints

    protected int currentNumPoints

### sourceImage

    protected java.awt.image.RenderedImage sourceImage

### destImage

    protected javax.media.jai.PlanarImage destImage

### imageWidth

    protected int imageWidth

### imageHeight

    protected int imageHeight

### warp

    protected javax.media.jai.WarpPolynomial warp

Constructor Detail

### WarpImageGenerator

    public WarpImageGenerator()

### WarpImageGenerator

    public WarpImageGenerator(java.awt.image.RenderedImage sourceImage)

Method Detail

### setSourceImage

    public void setSourceImage(java.awt.image.RenderedImage sourceImage)

### getSourceImage

    public java.awt.image.RenderedImage getSourceImage()

### getDestImage

    public javax.media.jai.PlanarImage getDestImage()

### setPolyDegree

    public void setPolyDegree(int degree)

### getPolyDegree

    public int getPolyDegree()

### generateWarpImage

    protected javax.media.jai.PlanarImage generateWarpImage()

### computeNumPoints

    public int computeNumPoints(int degree)

### createDestImage

    public static javax.media.jai.RenderedOp createDestImage(java.awt.image.RenderedImage img,
                                                             javax.media.jai.Warp warp)

### addPoints

    public void addPoints(int x,
                          int y)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD